<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
	<style type="text/css">
		.xlsExport {
    		background-image: url(images/xls.svg) !important
    		
		}
		.vd-hidden-column {
		    display: none;
		    width: 0;
		    height: 0;
		}
	</style>  
    <h:form>
       	<h3 style="margin-top:0">Reporte de Legajos</h3>
    	<p:separator></p:separator>
        <p:panelGrid  columns="4" cellpadding="2" >
                <p:outputLabel value="Fecha Alta Desde Hasta: " />
            	<p:calendar showOn="button" value="#{rptLegajosMB.from}" navigator="true"/>
	            <p:calendar showOn="button" value="#{rptLegajosMB.to}" navigator="true"/>
				<h:panelGroup/>
				
                <p:outputLabel for="sexo" value="Género : " />
            	<p:selectOneMenu id="sexo" value ="#{rptLegajosMB.sexo}"  label="Género">
						<f:selectItems value="#{commonSelectorsMB.valoresSexo}" var="elemsexo"
                              itemValue="#{elemsexo}"
                              itemLabel="#{elemsexo.descripcion}" />
					</p:selectOneMenu>
				<h:panelGroup>
				<h:outputText value="Tiene MPJ: " />
        		<p:selectBooleanCheckbox value="#{rptLegajosMB.tieneMEP}" />
				</h:panelGroup>
				<h:panelGroup></h:panelGroup>
				<p:outputLabel for="zonal" value="Equipo Territorial Provincial - Local:"/>
           		<p:selectOneMenu value="#{rptLegajosMB.zonal}" converter="zonalConverter" id="zonal" label="Equipo Territorial Provincial" >
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{rptLegajosMB.zonales}" var="zonal"
                              itemValue="#{zonal}"
                              itemLabel="#{zonal.nombre}"/>
                     <p:ajax listener="#{rptLegajosMB.onZonalChange}" update="local" />
           		</p:selectOneMenu>
           		<p:selectOneMenu id="local" value="#{rptLegajosMB.local}" converter="localConverter"  label="Local">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{rptLegajosMB.locales}" var="local"
                               itemValue="#{local}"
                               itemLabel="#{local.nombre}"/>
           		</p:selectOneMenu>
				<h:panelGroup/>
				
				
				<p:outputLabel  value="Fecha Nacimiento Desde: " />
            	<p:calendar showOn="button"  value="#{rptLegajosMB.nacimientoFrom}" navigator="true"/>
            	<p:calendar showOn="button" value="#{rptLegajosMB.nacimientoTo}" navigator="true"/>
				<h:panelGroup/>
        </p:panelGrid>
        <p:commandButton id="search" value="Buscar..." action="#{rptLegajosMB.buscarLegajos()}" 
        	update="listLegajos" icon="ui-icon-search"/>
		<p:commandButton ajax="false" value="Exportar reporte..." icon="ui-icon-extlink">
                  <p:dataExporter type="xls" target="listLegajos" fileName="reporte_legajo"/>  
        </p:commandButton>        	
        <p:separator />
        <p:dataTable  id="listLegajos" var="ent" value="#{rptLegajosMB.list}" widgetVar="tabla"
                 emptyMessage="No hay resultados para esa busqueda"  
                 rows="15" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}">
            
            <p:column headerText="Código" >
                <p:outputLabel value="#{ent.codigo}" />
            </p:column>
            <p:column headerText="Apellido y nombre" >
                <p:outputLabel value="#{ent.apellidoYNombre}" />
            </p:column>
            <p:column headerText="Fecha de alta" width="6%">
                <p:outputLabel value="#{ent.datosAuditoria.fechaAlta}" >
                	<f:convertDateTime pattern="dd/MM/yyyy" />
                </p:outputLabel>
            </p:column>
            <p:column headerText="Sexo" >
                <p:outputLabel value="#{ent.sexo.descripcion}" />
            </p:column>   
			<p:column headerText="Fecha de nto" width="6%" >
			         <h:outputText value="#{ent.fechaNacimiento}">
			         	<f:convertDateTime pattern="dd/MM/yyyy" />
			         </h:outputText>
			</p:column>                   
            <p:column headerText="Tipo de doc" width="3%" >
			         <h:outputText value="#{ent.tipoDocumento}"/>
			</p:column>
            <p:column headerText="Nro de doc" width="6%" >
			         <h:outputText value="#{ent.nroDocumento}"/>
			</p:column>			
            <p:column headerText="Equipo Territorial Provincial" >
                <p:outputLabel value="#{ent.zonal.nombre}" />
            </p:column>  
            <p:column headerText="Local" >
                <p:outputLabel value="#{ent.local.nombre}" />
            </p:column>  
            <p:column headerText="Cant MPI" width="3%" >
			         <h:outputText value="#{ent.cantMPI}"/>
			</p:column>	
            <p:column headerText="Cant MPE" width="3%"  >
			         <h:outputText value="#{ent.cantMPE}"/>
			</p:column>	
        </p:dataTable>
        <p:separator />
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	<p:ajaxStatus style="display:block;margin-bottom:2em;height:24px;">
	    <f:facet name="start">
	        <p:graphicImage name="images/ajaxloadingbar.gif" />
	    </f:facet>
	</p:ajaxStatus>
	 
	<p:ajaxStatus onstart="PF('statusDialog').show()" onsuccess="PF('statusDialog').hide()" />
	 
	<p:dialog widgetVar="statusDialog" modal="true" draggable="false" closable="false" resizable="false" showHeader="false">
	    <p:graphicImage name="images/ajaxloadingbar.gif" />
	</p:dialog>	       
	</ui:define>
</ui:composition>
